<template>
	<div class="p-3">
		<div class="base_block">
			<div class="timesheet">
				<div class="timesheet_ttl">{{$store.state.locale.timesheet}}</div>

				<div class="timesheet_cnt" data-tab>
					<div class="timesheet_tab_ttl">
						<button type="button" class="timesheet_tab_btn active" data-tab-btn>{{$store.state.locale.workHours}}</button>
						<!--<button type="button" class="timesheet_tab_btn" data-tab-btn>Выходные</button>-->
					</div>

					<div class="timesheet_tab_cnt">
						<div class="timesheet_tab_pane active" data-tab-pane>
							<div class="timesheet_tip">
								{{$store.state.locale.timesheetDes}}
							</div>


							<!--<div class="timesheet_clock">-->
								<!--<div class="timesheet_clock_name">Включить рабочие часы</div>-->

								<!--<div class="row">-->
									<!--<div class="col-6">-->
										<!--<div class="timesheet_clock_capt">-->
											<!--Включив указание рабочих часов, можно задать время дня, в течение которого будут доступны агенты. Также можно указать выходные дни, в-->
											<!--которые рабочие часы не действуют.-->
										<!--</div>-->
									<!--</div>-->

									<!--<div class="col-6">-->
										<!--<div class="timesheet_clock_switch">-->
											<!--<label>-->
												<!--<input type="checkbox" hidden>-->
												<!--<span class="track">-->
													<!--<span class="thumb"></span>-->
												<!--</span>-->
											<!--</label>-->
										<!--</div>-->
									<!--</div>-->
								<!--</div>-->
							<!--</div>-->


							<div class="timesheet_cldr">
								<div class="timesheet_cldr_hd">{{$store.state.locale.switchHours}}</div>

								<div class="timesheet_cldr_bd">
									<div id='calendar'></div>
								</div>

								<!--<div class="timesheet_cldr_ft">-->
									<!--<div class="btn timesheet_cldr_btn mr-3">Отмена</div>-->

									<!--<div class="btn timesheet_cldr_btn active">Сохранить</div>-->
								<!--</div>-->
							</div>
						</div>


						<div class="timesheet_tab_pane" data-tab-pane>aaaaaaaaaa</div>
					</div>
				</div>
			</div>
		</div>


		<div class="modal fade" id="exampleModal">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">{{$store.state.locale.addEvent}}</h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>
					<div class="modal-body">

						<div class="mb-3">
							<label>{{$store.state.locale.eventTypes}}</label>
							<select class="form-control" @change="eventType = parseInt($event.target.value)">
								<option value="1" :selected="eventType === 1">{{$store.state.locale.groups}}</option>
								<option value="2" :selected="eventType === 2">{{$store.state.locale.modes}}</option>
							</select>
						</div>


						<div v-if="eventType === 1">
							<div class="mb-3">
								<label>{{$store.state.locale.groups}}</label>
								<select class="form-control" v-model="eventGroupModel.groupId">
									<option v-for="item in groupList" :value="item.id">{{ item.name }}</option>
								</select>
							</div>

							<div class="mb-3">
								<label>
									{{$store.state.locale.maxParkingTimeLength}}
									<span class="dav_help_circle">
										<i class="mdi mdi-help-circle" title="Maximum duration of break"></i>
									</span>
								</label>
								<input type="number" class="form-control spinner" v-model.number="eventGroupModel.maxParkingTimeLength">
							</div>

							<div class="mb-3">
								<label>{{$store.state.locale.minOnlineOperators}}</label>
								<input type="number" class="form-control spinner" v-model.number="eventGroupModel.minOnlineOperators">
							</div>

							<div class="mb-3">
								<label>
									{{$store.state.locale.maxParkingCount}}
									<span class="dav_help_circle">
										<i class="mdi mdi-help-circle" :title="$store.state.locale.maxParkingCountTitle"></i>
									</span>
								</label>
								<input type="number" class="form-control spinner" v-model.number="eventGroupModel.maxParkingCount">
							</div>
						</div>


						<div v-if="eventType === 2">
							<div class="mb-3">
								<label>Modes</label>
								<select class="form-control" v-model="eventRegimeModel.modeId">
									<option v-for="item in regimeList" :value="item.id">{{ item.name }}</option>
								</select>
							</div>
						</div>

						<div class="mt-4" v-if="errorMessage !== ''">
							<div class="alert alert-danger">{{ errorMessage }}</div>
						</div>

					</div>
					<div class="modal-footer">
						<button type="button" class="btn btn-primary" v-if="eventType === 1" @click="SaveGroup">{{$store.state.locale.save}}</button>
						<button type="button" class="btn btn-primary" v-if="eventType === 2" @click="SaveRegime">{{$store.state.locale.save}}</button>
					</div>
				</div>
			</div>
		</div>


		<div class="modal fade" id="exampleModal2">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="modal-header">
						<h5 class="modal-title">{{$store.state.locale.deleteEvent}}</h5>
						<button type="button" class="close" data-dismiss="modal" aria-label="Close">
							<span aria-hidden="true">&times;</span>
						</button>
					</div>


					<div class="modal-body">

						<div v-if="eventRead && eventRead.className[0] === 'calendar_group'">
							<div class="form-group">
								<label>{{$store.state.locale.title}}</label>
								<input type="text" class="form-control" :value="eventRead.title" disabled>
							</div>

							<div class="form-group">
								<label>{{$store.state.locale.starTime}}</label>
								<input type="text" class="form-control" :value="eventRead.start" disabled>
							</div>

							<div class="form-group">
								<label>{{$store.state.locale.endTime}}</label>
								<input type="text" class="form-control" :value="eventRead.end" disabled>
							</div>

							<div class="form-row">
								<div class="form-group col-6">
									<label>
										{{$store.state.locale.maxParkingCount}}
										<span class="dav_help_circle">
											<i class="mdi mdi-help-circle" :title="$store.state.locale.maxParkingCountTitle"></i>
										</span>
									</label>
									<input type="text" class="form-control" :value="eventRead.maxParkingCount" disabled>
								</div>
								<div class="form-group col-6">
									<label>
										{{$store.state.locale.maxParkingTimeLength}}
										<span class="dav_help_circle">
											<i class="mdi mdi-help-circle" title="Maximum duration of break"></i>
										</span>
									</label>
									<input type="text" class="form-control" :value="eventRead.maxParkingTimeLength" disabled>
								</div>
							</div>

							<div class="form-row">
								<div class="form-group col-6">
									<label>{{$store.state.locale.minOnlineOperators}}</label>
									<input type="text" class="form-control" :value="eventRead.minOnlineOperators" disabled>
								</div>
							</div>
						</div>

						<div v-else-if="eventRead && eventRead.className[0] === 'calendar_regime'">
							<div class="form-group">
								<label>{{$store.state.locale.title}}</label>
								<input type="text" class="form-control" :value="eventRead.title" disabled>
							</div>

							<div class="form-group">
								<label>{{$store.state.locale.startTime}}</label>
								<input type="text" class="form-control" :value="eventRead.start" disabled>
							</div>

							<div class="form-group">
								<label>{{$store.state.locale.endTime}}</label>
								<input type="text" class="form-control" :value="eventRead.end" disabled>
							</div>
						</div>

					</div>


					<div class="modal-footer">
						<button type="button" class="btn btn-secondary" data-dismiss="modal">{{$store.state.locale.close}}</button>
						<button type="button" class="btn btn-danger" v-if="eventRead && eventRead.className[0] === 'calendar_group'" @click="DeleteGroup">
							{{$store.state.locale.delete}}
						</button>
						<button type="button" class="btn btn-danger" v-else-if="eventRead && eventRead.className[0] === 'calendar_regime'" @click="DeleteRegime">
							{{$store.state.locale.delete}}
						</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<style></style>


<script src="./TimesheetScript.js"></script>